CREATE TABLE anc_availability_types_b (
    AVAILABILITY_TYPE_ID     NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    ACTIVE_STATUS            VARCHAR2(120)    NOT NULL,
    CONTRACTED_HOURS         VARCHAR2(120)    NOT NULL,
    WORK_SHIFT_TYPE          VARCHAR2(120)    NOT NULL,
    REPEATED_PATTERN_TYPE    VARCHAR2(120)    NOT NULL,
    LEGISLATION_CODE         VARCHAR2(120),
    IS_WORK_PATTERN_FLAG     VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    AVAILABILITY_TYPE_ID     NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    ACTIVE_STATUS            VARCHAR2(120)    NOT NULL,
    CONTRACTED_HOURS         VARCHAR2(120)    NOT NULL,
    WORK_SHIFT_TYPE          VARCHAR2(120)    NOT NULL,
    REPEATED_PATTERN_TYPE    VARCHAR2(120)    NOT NULL,
    LEGISLATION_CODE         VARCHAR2(120),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    IS_WORK_PATTERN_FLAG     VARCHAR2(4)  ,
    CONSTRAINT pk_anc_availability_types_b PRIMARY KEY (AVAILABILITY_TYPE_ID, AVAILABILITY_TYPE_ID)
);
